summaryrefslogtreecommitdiff
path: root/dev-python/executing/executing-1.2.0.ebuild
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2022-10-30 07:14:40 +0100
committerMichał Górny <mgorny@gentoo.org>2022-10-30 07:39:00 +0100
commit8eb487f5e673b7081b3803697787f853a203edcf (patch)
treeae1db1aa801d8766f49bbb2bac3acfd2ac7209b1 /dev-python/executing/executing-1.2.0.ebuild
parent8be58900919effd44489f5a250fc65dc68fb0779 (diff)
downloadgentoo-8eb487f5e673b7081b3803697787f853a203edcf.tar.gz
gentoo-8eb487f5e673b7081b3803697787f853a203edcf.tar.bz2
gentoo-8eb487f5e673b7081b3803697787f853a203edcf.zip
dev-python/executing: Bump to 1.2.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/executing/executing-1.2.0.ebuild')
-rw-r--r--dev-python/executing/executing-1.2.0.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/executing/executing-1.2.0.ebuild b/dev-python/executing/executing-1.2.0.ebuild
new file mode 100644
index 000000000000..eb688d352f1f
--- /dev/null
+++ b/dev-python/executing/executing-1.2.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Get information about what a Python frame is currently doing"
+HOMEPAGE="
+ https://github.com/alexmojaki/executing/
+ https://pypi.org/project/executing/
+"
+SRC_URI="
+ https://github.com/alexmojaki/executing/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/littleutils[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ # this test explodes when collected by pytest
+ "${EPYTHON}" tests/test_main.py || die "Tests failed with ${EPYTHON}"
+ epytest tests/test_pytest.py
+}
+
+pkg_postinst() {
+ optfeature "getting node's source code" dev-python/asttokens
+}